%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-asyncssh
Version:       2.19.0
Release:       1mamba
Summary:       AsyncSSH: Asynchronous SSHv2 client and server library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://asyncssh.readthedocs.io/en/latest/
Source:        https://pypi.debian.net/asyncssh/asyncssh-%{version}.tar.gz
License:       Eclipse Public License
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(cryptography)
BuildRequires: python3.11dist(typing-extensions)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n asyncssh-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Sat Dec 14 2024 Automatic Build System <autodist@openmamba.org> 2.19.0-1mamba
- automatic version update by autodist

* Sun Oct 27 2024 Automatic Build System <autodist@openmamba.org> 2.18.0-1mamba
- automatic version update by autodist

* Thu Sep 05 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.17.0-1mamba
- package created using the webbuild interface
